NX Open C++ Reference Guide
|
the horizontal reference vector definition. More...
Public Member Functions | |
bool | Flip () |
Returns the 2D Selection flip attribute. | |
NXOpen::SelectNXObject * | HorizontalRefObject () |
Returns the direction object. | |
NXOpen::Direction * | HorizontalRefVector () |
Returns the horizontal reference vector Created in NX8.0.0. | |
NXOpen::Expression * | RotationAngle () |
Returns the rotation angle wrt horizontal reference direction Created in NX8.0.0. | |
void | SetFlip (bool flip) |
Sets the 2D Selection flip attribute. | |
void | SetHorizontalRefVector (NXOpen::Direction *horizontalRefVector) |
Sets the horizontal reference vector Created in NX8.0.0. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
the horizontal reference vector definition.
Created in NX8.0.0.
bool NXOpen::GeometricUtilities::HorizontalReference::Flip | ( | ) |
Returns the 2D Selection flip attribute.
This function flips the selection object of the 2D pattern
Created in NX8.0.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::GeometricUtilities::HorizontalReference::HorizontalRefObject | ( | ) |
Returns the direction object.
This function gets reference vector of the 2D pattern. This call will result in an Exception if not called in 2D mode.
Created in NX8.0.0.
License requirements : None
NXOpen::Direction* NXOpen::GeometricUtilities::HorizontalReference::HorizontalRefVector | ( | ) |
Returns the horizontal reference vector
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::HorizontalReference::RotationAngle | ( | ) |
Returns the rotation angle wrt horizontal reference direction
Created in NX8.0.0.
License requirements : None
void NXOpen::GeometricUtilities::HorizontalReference::SetFlip | ( | bool | flip | ) |
Sets the 2D Selection flip attribute.
This function flips the selection object of the 2D pattern
Created in NX8.0.0.
License requirements : None
flip | flip |
void NXOpen::GeometricUtilities::HorizontalReference::SetHorizontalRefVector | ( | NXOpen::Direction * | horizontalRefVector | ) |
Sets the horizontal reference vector
Created in NX8.0.0.
License requirements : None
horizontalRefVector | horizontalrefvector |
|
virtual |
Validate whether the inputs to the component are sufficient for commit to be called.
If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.
Implements NXOpen::GeometricUtilities::IComponentBuilder.